Packages - Packaging Request #2158

[icecat]: needs rebuild or upgrade for i686 and arm
2019-02-02 02:52 AM - Time4Tea

Status: in progress % Done: 0%
Priority: broken

Assignee: oaken-source

Category:

Description

icecat seems to not start. | have Parabola newly installed with LXDE on an arm Chromebook (C201). If | click on the icon in the
menu, the mouse cursor spins for a minute or two, but no browser window appears.

Related issues:

Related to Packages - Packaging Request #2318: [iceweasel] needs upgrade to v... wont-fix

History

#1 - 2019-02-02 03:30 AM - bill-auger

could you open a terminal and type icecat and press <RETURN> - then copy the output it prints, and paste or attach that to this bug report

#2 - 2019-02-02 03:33 AM - bill-auger

- Status changed from open to info needed

#3 - 2019-02-02 03:57 AM - Time4Tea

Here you go:

XPCOMGlueLoad error for file /usr/lib/icecat/libxul.so:

libhunspell-1.6.s0.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.

Seems like perhaps a missing dependency?

#4 - 2019-02-02 05:09 AM - bill-auger

icecat for arm and i686 is due for an upgrade - but now that the current version of hunspell is 1.7; icecat needs at least to be rebuilt for arm and 686
for now, you can probably/maybe get it to run with a symlink

# 1In -s /usr/lib/libhunspell-1.7.s0.0 /usr/lib/libhunspell-1.6.s0.0

#5 - 2019-02-02 05:51 AM - bill-auger

- Priority changed from bug to broken

- Assignee set to oaken-source

- Status changed from info needed to open

- Subject changed from [icecat] not starting (arm) to [icecat]: needs rebuild or upgrade for i686 and arm

- Tracker changed from Bug to Packaging Request

#6 - 2019-02-02 11:47 AM - Time4Tea

It does work with that symlink. Thanks!

#7 - 2019-02-11 09:30 PM - freemor

- Status changed from open to in progress

v60.3 built, tested, pushed for i686

if you used the symlink method above remember to undo it :)

#8 - 2019-02-11 09:31 PM - freemor
Starting ARM build...
#9 - 2019-02-12 08:40 PM - freemor
And ARM build Fails with:

| 1338:19.80 /build/icecat/src/icecat-60.3.0/tools/profiler/gecko/nsProfiler.cpp:186:33: note: parameter pass
ing for argument of type ‘JS::MutableHandleValue’ {aka ‘JS::MutableHandle<JS::Value>’} changed in GCC
7.1

| 1338:19.80 MOZ_ALWAYS_TRUE (JS_ParseJSON (aCx, static_cast<const charlé_t*> (buffer.get()),

| 1338:19.81 /build/icecat/src/icecat-60.3.0/obj—armv7l-unknown-linux-gnueabihf/dist/include/mozilla/Asserti
ons.h:632:13: note: in definition of macro ‘MOZ_ALWAYS_TRUE’

| 1338:19.81 if ((expr)) { \

|  1338:19.82 N

| 1338:21.65 In file included from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/dist/i
nclude/nsISupportsUtils.h:14,

| 1338:21.66 from /build/icecat/src/icecat-60.3.0/o0bj—armv7l-unknown-linux—-gnueabihf/dist/i
nclude/nsISupports.h:77,

| 1338:21.66 from /build/icecat/src/icecat-60.3.0/0obj-armv/l-unknown-linux—-gnueabihf/dist/1i
nclude/nsIMemoryReporter.h:10,

| 1338:21.66 from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/dist/i
nclude/mozilla/CountingAllocatorBase.h:12,

| 1338:21.67 from /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/mozHu
nspellAllocator.h:10,

| 1338:21.68 from /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/hunsp
ell_alloc_hooks.h:51,

| 1338:21.68 from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/mozill
a-config.h:187,

| 1338:21.68 from <command-line>:

| 1338:21.69 /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/mozHunspell.cpp: In member
function ‘virtual nsresult mozHunspell::QueryInterface (const nsIID&, void**)':
| 1338:21.70 /build/icecat/src/icecat-60.3.0/obj—armv7l-unknown-linux—-gnueabihf/dist/include/nsISupportsImpl

h:1002:5: warning: macro expands to multiple statements [-Wmultistatement-macros]

| 1338:21.70 foundInterface = 0; \

| 1338:21.71 N

| 1338:21.72 /build/icecat/src/icecat-60.3.0/0obj-armv7l-unknown-linux-gnueabihf/dist/include/nsISupportsImpl
.h:1066:49: note: in expansion of macro ‘NS_IMPL_QUERY_TAIL_GUTS’

| 1338:21.72 #define NS_INTERFACE_MAP_END NS_IMPIL_QUERY_TAIIL_GUTS

| 1338:21.72 R G G e e e e e

|

1338:21.72 /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/mozHunspell.cpp:92:1: note:
in expansion of macro ‘NS_INTERFACE_MAP_END’

| 1338:21.72 NS_INTERFACE_MAP_END

| 1338:21.72 trm~mssssmsssssnssnns

| 1338:21.73 In file included from /build/icecat/src/icecat-60.3.0/extensions/spellcheck/src/mozSpellChecker
.h:18,

| 1338:21.74 from /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/Remot
eSpellCheckEngineChild.h:10,

| 1338:21.74 from /build/icecat/src/icecat-60.3.0/extensions/spellcheck/hunspell/glue/Remot
eSpellCheckEngineChild.cpp:6,

| 1338:21.74 from /build/icecat/src/icecat-60.3.0/o0bj—armv7l-unknown-linux—-gnueabihf/extens

ions/spellcheck/hunspell/glue/Unified_cpp_hunspell_glueO.cpp:2:

| 1338:21.74 /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux—-gnueabihf/dist/include/nsCycleCollecti
onParticipant.h:315:5: note: some parts of macro expansion are not guarded by this ‘else’ clause

|  1338:21.74 } else

| 1338:21.75 Raococ

| 1338:21.76 /build/icecat/src/icecat-60.3.0/obj—armv7l-unknown-linux-gnueabihf/dist/include/nsCycleCollecti
onParticipant.h:315:5: note: in definition of macro ‘NS_INTERFACE_MAP_ENTRIES_CYCLE_COLLECTION’

| 1338:21.76 } else

| 1338:21.76 N

| 1338:25.97 In file included from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/tools/
profiler/Unified_cpp_tools_profilerO.cpp:119:

| 1338:25.97 /build/icecat/src/icecat-60.3.0/tools/profiler/gecko/nsProfiler.cpp: In member function ‘virtua
1 nsresult nsProfiler::GetProfileData (double, JSContext*, JS::MutableHandle<JS::Value>)':

| 1338:25.97 /build/icecat/src/icecat-60.3.0/tools/profiler/gecko/nsProfiler.cpp:205:1: note: parameter pass
ing for argument of type ‘JS::MutableHandle<JS::Value>’ changed in GCC 7.1

| 1338:25.98 nsProfiler::GetProfileData (double aSinceTime, JSContext* aCx,

| 1338:25.98 Nr~mmmsnn~

| 1338:25.99 In file included from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/dist/1i
nclude/nsDebug.h:14,

| 1338:26.00 from /build/icecat/src/icecat-60.3.0/0obj-armv/l-unknown-linux—-gnueabihf/dist/1i
nclude/nsISupportsUtils.h:13,

|  1338:26.00 from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/dist/i
nclude/nsISupports.h:77,

|  1338:26.00 from /build/icecat/src/icecat-60.3.0/tools/profiler/gecko/ThreadResponsiveness
1089,

| 1338:26.00 from /build/icecat/src/icecat-60.3.0/tools/profiler/core/platform.h:35,
|  1338:26.01 from /build/icecat/src/icecat-60.3.0/tools/profiler/core/ProfileBuffer.h:9,

|  1338:26.02 from /build/icecat/src/icecat-60.3.0/tools/profiler/core/ProfileBuffer.cpp:7,

| 1338:26.02 from /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/tools/
profiler/Unified_cpp_tools_profiler0O.cpp:2:

| 1338:26.02 /build/icecat/src/icecat-60.3.0/tools/profiler/gecko/nsProfiler.cpp:217:31: note: parameter pas
sing for argument of type ‘JS::MutableHandleValue’ {aka ‘JS::MutableHandle<JS::Value>'} changed in GCC
7.1

| 1338:26.02 MOZ_ALWAYS_TRUE (JS_ParseJSON (aCx, profilel6, js_string.Length(), &val));

|  1338:26.02 /build/icecat/src/icecat-60.3.0/obj-armv7l-unknown-linux-gnueabihf/dist/include/mozilla/Asserti
ons.h:632:13: note: in definition of macro ‘MOZ_ALWAYS_TRUE’

| 1338:26.03 if ((expr)) { \

| 1338:26.03 RS

| 1338:51.14 make[4]: *** [/build/icecat/src/icecat-60.3.0/config/rules.mk:1047: Unified_cpp_tools_profiler0
.0] Error 1

| 1338:51.15 make[3]: *** [/build/icecat/src/icecat-60.3.0/config/recurse.mk:73: tools/profiler/target] Erro

| 1338:51.16 make[3]: *** Waiting for unfinished jobs....
| 1339:09.12 libextensions_spellcheck_hunspell_glue.a.desc
| 1339:12.14 make[2]: *** [/build/icecat/src/icecat-60.3.0/config/recurse.mk:33: compile] Error 2
| 1339:12.15 make[l]: *** [/build/icecat/src/icecat-60.3.0/config/rules.mk:434: default] Error 2
| 1339:12.16 make: *** [client.mk:168: build] Error 2
| 1339:12.22 297 compiler warnings present.
| 1339:39.79 Notification center failed: Install notify-send (usually part of the libnotify package) to get
a notification when the build finishes.
| ==> ERROR: A failure occurred in build().
| Aborting...
==> Copying log and package files out of the chroot...

#10 - 2019-09-03 02:52 PM - bill-auger
- Related to Packaging Request #2318: [iceweasel] needs upgrade to v70 for i686 and arm added

#11 - 2020-03-02 07:25 PM - Time4Tea

Hi, can | bump this? Ref. the following forum thread.
https://labs.parabola.nu/boards/5/topics/297
http://www.tcpdf.org

